
From: Jeff Garzik <jgarzik@pobox.com>

Needed this to build Fedora rawhide kernel (2.6.12-rc1 + some patches) on
alpha.  This is the upstream portion of the build fixes.

Signed-off-by: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/atm/lanai.c        |    1 +
 25-akpm/drivers/char/agp/generic.c |    1 +
 25-akpm/drivers/char/tpm/tpm.h     |    1 +
 25-akpm/include/asm-alpha/pci.h    |    6 ++++++
 25-akpm/include/linux/debugfs.h    |    2 ++
 5 files changed, 11 insertions(+)

diff -puN drivers/atm/lanai.c~alpha-build-fixes drivers/atm/lanai.c
--- 25/drivers/atm/lanai.c~alpha-build-fixes	2005-03-18 23:57:25.000000000 -0800
+++ 25-akpm/drivers/atm/lanai.c	2005-03-18 23:57:25.000000000 -0800
@@ -61,6 +61,7 @@
 #include <asm/byteorder.h>
 #include <linux/spinlock.h>
 #include <linux/pci.h>
+#include <linux/dma-mapping.h>
 #include <linux/init.h>
 #include <linux/delay.h>
 #include <linux/interrupt.h>
diff -puN drivers/char/agp/generic.c~alpha-build-fixes drivers/char/agp/generic.c
--- 25/drivers/char/agp/generic.c~alpha-build-fixes	2005-03-18 23:57:25.000000000 -0800
+++ 25-akpm/drivers/char/agp/generic.c	2005-03-18 23:57:25.000000000 -0800
@@ -36,6 +36,7 @@
 #include <linux/pm.h>
 #include <linux/agp_backend.h>
 #include <linux/vmalloc.h>
+#include <linux/dma-mapping.h>
 #include <linux/mm.h>
 #include <asm/io.h>
 #include <asm/cacheflush.h>
diff -puN drivers/char/tpm/tpm.h~alpha-build-fixes drivers/char/tpm/tpm.h
--- 25/drivers/char/tpm/tpm.h~alpha-build-fixes	2005-03-18 23:57:25.000000000 -0800
+++ 25-akpm/drivers/char/tpm/tpm.h	2005-03-18 23:57:25.000000000 -0800
@@ -22,6 +22,7 @@
 #include <linux/version.h>
 #include <linux/pci.h>
 #include <linux/delay.h>
+#include <linux/fs.h>
 #include <linux/miscdevice.h>
 
 #define TPM_TIMEOUT msecs_to_jiffies(5)
diff -puN include/asm-alpha/pci.h~alpha-build-fixes include/asm-alpha/pci.h
--- 25/include/asm-alpha/pci.h~alpha-build-fixes	2005-03-18 23:57:25.000000000 -0800
+++ 25-akpm/include/asm-alpha/pci.h	2005-03-18 23:57:25.000000000 -0800
@@ -223,6 +223,12 @@ pci_dac_dma_sync_single_for_device(struc
 	/* Nothing to do. */
 }
 
+/* TODO: integrate with include/asm-generic/pci.h ? */
+static inline int pci_get_legacy_ide_irq(struct pci_dev *dev, int channel)
+{
+	return channel ? 15 : 14;
+}
+
 extern void pcibios_resource_to_bus(struct pci_dev *, struct pci_bus_region *,
 				    struct resource *);
 
diff -puN include/linux/debugfs.h~alpha-build-fixes include/linux/debugfs.h
--- 25/include/linux/debugfs.h~alpha-build-fixes	2005-03-18 23:57:25.000000000 -0800
+++ 25-akpm/include/linux/debugfs.h	2005-03-18 23:57:25.000000000 -0800
@@ -15,6 +15,8 @@
 #ifndef _DEBUGFS_H_
 #define _DEBUGFS_H_
 
+#include <linux/fs.h>
+
 #if defined(CONFIG_DEBUG_FS)
 struct dentry *debugfs_create_file(const char *name, mode_t mode,
 				   struct dentry *parent, void *data,
_
